phosh (0.56~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    * New load meter plugin for the top bar
    * Allow to hide applications from the app-grid when GNOME Software is
      not in use. This helps on immutable distro variants like
      postmarketOS Duranium and Phosh's BengalOS to hide applications that
      are shipped in the base image.
    * Improvements and bug fixes:
        * Allow to enable syncthing plugin via mobile settings
        * Show notification when app can't be uninstalled
        * Avoid slow startup notification with e.g. Firefox by tracking
          apps we forked so they get more time during startup
        * Avoid Bluetooth quick setting getting disabled on output changes
        * Allow to rotate lock screen on tablets
        * Crash and leak fixes
  * New patches: Install icons in plugins dir
  * Update symbols

 -- Guido Günther <agx@sigxcpu.org>  Sat, 27 Jun 2026 23:07:38 +0200

phosh (0.55.0-1) unstable; urgency=medium

  * New upstream release
    * New syncthing quick setting (needs syncbus not yet in Debian)
    * Don't dim screen when there's no ambient sensor
    * Various other bug fixes including leak fixes

 -- Guido Günther <agx@sigxcpu.org>  Sun, 17 May 2026 12:00:27 +0200

phosh (0.54.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 05 Apr 2026 14:09:58 +0200

phosh (0.54~rc1-1) unstable; urgency=medium

  * New upstream release
    * Status icons can now be implemented as plugins
    * Show notification when app fails to start
    * Status page to location quick setting allows to set accuracy
    * Make sure cutouts don't overlap buttons in settings panel
    * Update list of adaptive apps
    * Make sure phosh-session always has a DBus session
    * Drop gsd-wacom from session, it's gone in gsd
    * Leak fixes and internal cleanups
  * Drop gsd-wacom patch.
    Fixed upstream

 -- Guido Günther <agx@sigxcpu.org>  Fri, 27 Mar 2026 09:25:30 +0100

phosh (0.53.1-1) unstable; urgency=medium

  * New upstream bugfix release
  * Drop overview patches. Applied upstream.
  * data: Remove gsd-wacom as required component from session.
    Plugin got dropped.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 18 Mar 2026 17:41:18 +0100

phosh (0.53.0-2) unstable; urgency=medium

  * Move translations from phosh to phosh-common. This allows the Mobian PlaMo
    images to use phrog without having the phosh package installed. See
    #1128020 for a discussion
  * Backport two upstream overview patches

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Feb 2026 20:28:57 +0100

phosh (0.53.0-1) unstable; urgency=medium

  * New upstream release
    * Another gvc update
  * Prefer C over Rust portals until we have newer ashpd in Debian

 -- Guido Günther <agx@sigxcpu.org>  Sun, 15 Feb 2026 11:59:19 +0100

phosh (0.53~rc1-1) unstable; urgency=medium

  [ Guido Günther ]
  * New upstream release
    * Various auto brightness improvements, e.g.
      * remember auto brightness offset
      * compensate for night light
    * overview: Show thumbnails for launching apps
    * overview: Style improvements
    * polkit-prompt: Show more user data
    * Activation fixes for notifications
      (Needs https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/9269)
    * caffeine: Allow to open plugin prefs from the status page
    * Multiple other fixes (Use alias for Bluetooth devices, improve app icon
      lookup, …)
  * Update symbols

  [ Jeremy Bícha ]
  * Remove unnecessary Build-Depends: gnome-themes-extra-data.
    This Build-Depends was added in 2019 and appears to no longer be needed
    Also, the Debian GNOME team is proposing to remove the
    gnome-themes-extra source package in https://bugs.debian.org/1112387
  * Update Build-Depends: libevince-dev → libevince-gtk3-dev

 -- Guido Günther <agx@sigxcpu.org>  Tue, 10 Feb 2026 19:55:59 +0100

phosh (0.52.1-1) unstable; urgency=medium

  * New upstream release
    * Avoid newer wireplumber/pipewire crashing gvc and thus phosh

 -- Guido Günther <agx@sigxcpu.org>  Wed, 07 Jan 2026 17:40:40 +0100

phosh (0.52.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 04 Jan 2026 16:55:53 +0100

phosh (0.52~rc1-1) unstable; urgency=medium

  * New upstream release
  * Depend on libqrcodegen for the hot spot plugin
  * Update symbols.
    We drop a symbol but since that is not use by libphosh-rs we
    don't need to bump the library version.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Jan 2026 17:25:56 +0100

phosh (0.51.0-1) unstable; urgency=medium

  * New upstream release
   * caffeine: Allow one to configure durations via mobile
  * torch: Allow one to configure minimal brightness via hwdb/udev
  * Disable reporotest in CI: We see spurious "GFileInfo created without
    standard::type" in one test case since some time breaking our test
    expectations and it doesn't reproduce locally.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 16 Nov 2025 12:41:09 +0100

phosh (0.51~rc1-1) unstable; urgency=medium

  * New upstream release
    * Add location quick setting
    * caffine: Allow to select duration
    * brightness/auto-brightness improvements:
      * Handle auto-brightness via a bucket based algorithm
      * Let brightness slider be an offset around the auto-brightness value
      * Icon next to brightness slider indicates autobrighness on/off
      * Gradually transition to new auto-brightness value
      * Auto-brightness can be enabled/disabled via a status page
    * Fix upcoming-event’s plugin empty state
    * Fix “Open settings” button position on devices with rounded corners
    * Lots of internal cleanups and fixes
  * Install plugin icons

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Nov 2025 18:15:30 +0100

phosh (0.50.1-3) unstable; urgency=medium

  * Force phosh-osk-stub off the system.
    It does no longer spawn with gnome-session-bin 49 and is replaced
    by stevia anyway.
  * Don't allow for squeekboard as default OSK.
    It won't start due to #1118539 so let's require a working
    one.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 06 Nov 2025 09:50:45 +0100

phosh (0.50.1-2) unstable; urgency=medium

  * Upload to unstable (Closes: #1119791)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 31 Oct 2025 13:57:51 +0100

phosh (0.50.1-1) experimental; urgency=medium

  * New upstream bugfix release
    * Fix upcoming-event's plugin empty state
    * Fix "Open settings" button position on devices with rounded corners

 -- Guido Günther <agx@sigxcpu.org>  Wed, 22 Oct 2025 17:36:13 +0200

phosh (0.50.0-1) experimental; urgency=medium

  * New upstream release
    * Allow to open the top-bar settings panel easily
    * Move brightness handling to phosh, it got dropped from g-s-d 49.
    * Mark demo plugins as `NoDisplay` so they don't show in p-m-s
    * Don't crash g-c-c when running nested
    * Reset them when auto-HighContrast is turned off
  * Install the OSK related systemd unit
  * d/control: Add Breaks on stevia.
    We want a version with that starts via systemd unit.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 05 Oct 2025 17:42:58 +0200

phosh (0.50~rc1-1) experimental; urgency=medium

  * Upload to experimental until GNOME 49 core components
    move to unstable.
  * New upstream release snapshot
  * d/control: Prefer stevia.
    Let's make this match the rest of the stack
  * d/control: Remove ancient breaks.
    These versions aren't in Debian stable anymore
  * Wrap and sort most files.
    We don't wrap-and-sort the build-dependencies to keep the
    separation between regular, plugin and test deps
  * d/control: Version g-s-d dependency.
    We need it for the new brightness handling

 -- Guido Günther <agx@sigxcpu.org>  Tue, 30 Sep 2025 14:45:59 +0200

phosh (0.49.0-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release
    * Improve media widget's cover art thumbnails
    * Improve keypad and search bar style
  * Drop patches. Applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Aug 2025 12:24:54 +0200

phosh (0.49~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    * upcoming-events: Allow to exclude days without events
    * Use phrosh portal when available
    * overview: Don't let search entry take the whole width
    * Cellbroadcast related fixes
    * Add searchd
  * Backport searchd related build system fixes
  * Enable searchd (not yet used by phosh itself)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 09 Aug 2025 20:07:27 +0200

phosh (0.48.0-2) experimental; urgency=medium

  * Enable and install vapi files, needed for plugins written in vala.
  * Bump standards version
  * Remove Rules-Requires-Root.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 11 Jul 2025 16:18:31 +0200

phosh (0.48.0-1) experimental; urgency=medium

  * New upstream release
    * New lockscreen plugin that allows to interact with all currently
      running media players that use the MPRIS protocol.
    * Build VAPI files so one can also write plugins in vala (See
      https://gitlab.gnome.org/guidog/phosh-vala-plugins) for an example
    * Enable Cell Broadcast dialogs by default. Mobile Settings has the
      needed UI bits now.
    * Update list of adaptive apps
    * Various bug fixes

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Jun 2025 16:39:58 +0200

phosh (0.48~rc1-1) experimental; urgency=medium

  * New upstream release
    * New lockscreen plugin that allows to interact with all currently
      running media players that use the MPRIS protocol.
    * Build VAPI files so one can also write plugins in vala (See
      https://gitlab.gnome.org/guidog/phosh-vala-plugins) for an example
    * Enable Cell Broadcast dialogs by default. Mobile Settings has the
      needed UI bits now.
    * Update list of adaptive apps
    * Various bug fixes and GTK4 preps
  * Rediff patches
  * Depend on xmlstarlet for the new test
  * Update library symbols

 -- Guido Günther <agx@sigxcpu.org>  Sun, 22 Jun 2025 11:34:54 +0200

phosh (0.47.0-1) experimental; urgency=medium

  * New upstream release
    * notifications: Handle cellbroacast events from the desktop portal v2 spec
    * app-list-model: Track StartupWMClass for better app-id matching
    * Avoid flicker when unblanking lock screen with media widget present
    * Add status page to feedback quick settings that allows to enable
      "Do not disturb" and to go to the feedback settings easily
    * Fix showing of active network on Wi-Fi status page when the network
      has multiple access points
    * Don't let OSD block input on the whole screen when shown
    * Disable mobile data quick settings when SIM is locked

 -- Guido Günther <agx@sigxcpu.org>  Sun, 18 May 2025 12:43:09 +0200

phosh (0.47~rc1-1) experimental; urgency=medium

  * New upstream release
  * Drop patches that were cherry-picked from upstream
  * libphosh: Add new symbols

 -- Guido Günther <agx@sigxcpu.org>  Fri, 09 May 2025 15:42:12 +0200

phosh (0.46.0-3) unstable; urgency=medium

  * Backport patches from phosh's 0.46 branch. This fixes icons in the app
    launch splash and app grid broken by the GNOME 48 update.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 03 May 2025 09:38:50 +0200

phosh (0.46.0-2) unstable; urgency=medium

  * d/control: Bump libmm-glib build-dependency.
    This ensures that Cell Broadcast support is detected and enabled.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 10 Apr 2025 14:22:37 +0200

phosh (0.46.0-1) unstable; urgency=medium

  * New upstream release
    * lockscreen: Allow to set background image. Off by default, can be
      enabled via mobile-settings (or `gsettings`).
    * Close quick-settings status pages when closing the top panel
    * Notifications: Use slide down animation in the message tray and allow to
      focus default action
    * media-player: Use `can-play` to device whether we should show the widget
    * media-player: Download cover-art when possible
    * layout-manager: Handle notches/cutouts in the indicator areas. This
      helps devices with a e.g. camera in the left display corner (like
      the Nothing Phone).
    * Use more consistent button press feedback
    * wifi-quick-setting: Indicate ongoing Wi-Fi scans in the status page
    * Add `phosh.gsettings(5)` manpage.
    * Set more wallpaper friendly defaults and improve legibility, reduce
      flicker, fix thumbnail scaling and other fixes.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 31 Mar 2025 11:41:46 +0200

phosh (0.46~rc1-1) unstable; urgency=medium

  * New upstream release
  * Relax phosh-common dependency.
    We don't drop gsettings without further notice and this eases partial
    upgrades.
  * Ship new manpage
  * Add two new symbols used by our plugins

 -- Guido Günther <agx@sigxcpu.org>  Sat, 22 Mar 2025 10:03:34 +0100

phosh (0.45.0-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release
  * Depend on phoc 0.45.0. We want a phoc that supports `-v`.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Feb 2025 13:30:56 +0100

phosh (0.45~rc1-3) experimental; urgency=medium

  [ Guido Günther ]
  * d/control: Mark libphosh Multi-arch: same.

  [ Arnaud Ferraris ]
  * phosh: move gschemas to new phosh-common.
    Software linked against `libphosh-0.x` need those to execute properly.
    Create a new `phosh-common` package for this purpose and move gschema
    files there, making both `phosh` and `libphosh-0.x` depend on it.

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 11 Feb 2025 21:25:28 +0100

phosh (0.45~rc1-2) unstable; urgency=medium

  * tests: Check that library pkgconf file has all dependencies
  * Add libappstream-dev to libphosh-dev's dependencies

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Feb 2025 15:24:13 +0100

phosh (0.45~rc1-1) unstable; urgency=medium

  * New upstream release
  * Bump libfeedback-dev dependency.Needed for sound hint support
  * Add symbols file

 -- Guido Günther <agx@sigxcpu.org>  Sat, 08 Feb 2025 09:20:38 +0100

phosh (0.45~beta1-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release
    * Minimize and stabilize libphosh API so we can have a stable
      API for trixie
    * Detect captive portals and allow to open browser
    * New quick setting plugin to switch display scales
    * Create thumbnails for Screenshots
    * Allow to uninstall apps from app-grid
    * Close quick setting status pages when action was successful
    * WWan enable/disable autoconnect with the connection so e.g.
      mobile data doesn't turn on resume
    * prefs plugins: Remove the last remaining GtkDialog and use
      AdwEntryRow
    * Respect week number setting in calendar widget
    * Avoid crash when fixing between certain combinations of fractional
      scales (with e.g. wlr-randr)
    * Allow libphosh users to hide the whole overview/bottom bar
    * Fade in system modal dialogs
    * Several background image related fixes
    * Fix crash on unlock with media player widget
  * Rediff patches

 -- Guido Günther <agx@sigxcpu.org>  Mon, 03 Feb 2025 11:26:29 +0100

phosh (0.44.1-1) unstable; urgency=medium

  * New upstream bugfix release
   * mm: Make sure we register all interfaces
   * Avoid crash when fixing between certain combinations of fractional
     scales (with e.g. wlr-randr)
   * Fix crash on unlock with media player widget
   * Use solid color background when background image fails to load
   * Ensure `@phosh_bg_color` behind top- and home bar as otherwise we might
     see artifacts depending on the GPU driver
   * Refresh background image when dark style URI changes

 -- Guido Günther <agx@sigxcpu.org>  Fri, 17 Jan 2025 17:04:20 +0100

phosh (0.44.0-1) unstable; urgency=medium

  * New upstream release
  * Ignore test failures on armel as xvfb fails to start up there

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Dec 2024 11:04:31 +0100

phosh (0.44~rc1-2) unstable; urgency=medium

  * d/control: Lower phoc dependency. 0.44~ is recent enough

 -- Guido Günther <agx@sigxcpu.org>  Sun, 22 Dec 2024 09:47:10 +0100

phosh (0.44~rc1-1) unstable; urgency=medium

  * New upstream release
   * Set background in overview
   * Allow to unfullscreen fullscreen apps from the overview
   * Handle Cell broadcast messages. (libmm-glib in Debian isn't
     recent enough so this will need a rebuild once it is)
   * Use AdwPreferencesDialog for prefs plugins giving more mobile
     friendly dialogs
   * Notification style fixes
  * Drop notification-banner-Use-minimal-size-for-banner.patch.
    Fixed upstream.
  * d/control: Bump gsettings-desktop-schema dependency.
    Ensures we have recent enough settings for accent colors
  * d/control: Bump phoc dependency.
    We want recent enough phoc to get a recent implementation of the layer
    shell effects protocol needed for the backgrounds in the overview and
    a fix for the wlr-foreign-toplevel protocol
  * d/control: Conflict with older xdg-desktop-portal-phosh.
    The portal name changed so we want to update in lock step.
  * d/control: Conflict with older phosh-mobile-settings.
    The prefs plugins changed ABI so we want to update in lock step.
  * Update library name
  * install: Update app-id and portal name

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 Dec 2024 10:51:02 +0100

phosh (0.43.0-3) unstable; urgency=medium

  * notification-banner: Use minimal size for banner
    Makes sure the layer surface takes the size of the allocation

 -- Guido Günther <agx@sigxcpu.org>  Mon, 02 Dec 2024 09:30:52 +0100

phosh (0.43.0-2) unstable; urgency=medium

  * Drop reverts. xdg-desktop-portal-phosh got accepted. We can now use the
    new settings portal for accent colors. Thanks to the ftp-masters.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 21 Nov 2024 13:50:37 +0100

phosh (0.43.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Nov 2024 15:23:02 +0100

phosh (0.43~rc1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Improved quick settings
      - Do away with long press to open status pages
      - Show status pages below quick settings
      - Custom quick settings can now have status pages too
    - Support accent colors
    - New quick setting: Simple Pomodoro timer (can be
      configured via Mobile Settings)
    - Notification system improvements and fixes, e.g.
      - Fix some banners not showing
      - Animate hiding applications in the tray
      - More consistent event feedback for notifications (so that
        e.g. there's not only LED feedback when the device is
        unused/locked)
      - Try harder to find an application item
    - Allow one to disable lockscreen authentication
    - Save screenshots to screenshots folder
  * Drop patch to install gir. Fixed upstream.
  * Update library name
  * Install pomodoro plugin schema
  * Temporarily disable xdg-desktop-portal-phosh usage.
    It's pending NEW processing. We'll drop the patches once it enters
    unstable.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 12 Nov 2024 11:30:30 +0100

phosh (0.42.0-2) unstable; urgency=medium

  * build: Install gir when we create the bindngs lib
    (cherry picked from commit 52cd94c5491b2745e6411b22809c6d78bda0e450)
  * Bump standards version. No changes needed

 -- Guido Günther <agx@sigxcpu.org>  Tue, 08 Oct 2024 16:30:42 +0200

phosh (0.42.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Drop patches applied upstream
  * d/control: Bump recommends on feedbackd.
    Needed to get the correct overrides for apps marked as important

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Sep 2024 12:16:02 +0200

phosh (0.42~rc1-2) unstable; urgency=medium

  * Team upload.
  * Version the library name instead of the soname.
    This avoids file conflicts for the development files
    (Closes: #1082627)
  * d/control: Make dev package depend on the shared lib.
    Thanks to Arnaud Ferraris

 -- Guido Günther <agx@sigxcpu.org>  Thu, 26 Sep 2024 10:54:03 +0200

phosh (0.42~rc1-1) unstable; urgency=medium

  * New upstream release
    - lockscreen: Allow to adjust to smaller screen sizes
    - lockscreen: Swap horizontal deck and vertical carousel to not
      accidentally trigger swipe when entering PIN
    - upcoming-events: Plugin allow to configure number of days
    - torch: Hide brightness slider when there's only a single brightness
      level
    - Use parent's icon for toplevels without a proper matching icon
    - Handle WWan network types better
    - Fix Wi-Fi hotspot related crash
    - Make Wi-Fi hotspot insensitive on lock screen to be consistent
      with Wi-Fi network switching.
  * Drop dbus-Add-Backlight-property-to-DisplayConfig.patch.
    Fixed upstream.
  * d/control: B-D on libmm-glib
  * Bump lib version
  * Apply subproject patches
    Works around https://github.com/mesonbuild/meson/issues/13102

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 Sep 2024 09:50:02 +0200

phosh (0.41.1-2) unstable; urgency=medium

  * dbus: Add Backlight property to DisplayConfig.
    This prevents gsd-power 47~rc1 from crashing

 -- Guido Günther <agx@sigxcpu.org>  Sat, 14 Sep 2024 16:12:08 +0200

phosh (0.41.1-1) unstable; urgency=medium

  * New upstream bugfix release
  * phosh-dev: Add dependency on gsettings-desktop-schemas-dev

 -- Guido Günther <agx@sigxcpu.org>  Fri, 06 Sep 2024 12:08:10 +0200

phosh (0.41.0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control, d/rules: Use dbus-run-session to run tests.
    Instead of relying on X11 autolaunching, explicitly start a session
    bus for the unit tests. This avoids a dependency on dbus-x11.
    (Closes: #1079555)

  [ Guido Günther ]
  * Add bindings lib. Needed for libphosh-rs.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 25 Aug 2024 22:52:58 +0200

phosh (0.41.0-1) unstable; urgency=medium

  * New upstream release
    - media-player: Add track position, length and progress bar
    - Add (optional) Wi-Fi Hotspot Quick Setting
    - Add Bluetooth Quick Setting status page allowing to
      connect/disconnect known devices
    - Allow to (optionally) put the phone in silent mode when pressing Vol- on
      incoming calls
    - Give Quick Setting status pages (and their individual rows) more
      vertical space so selecting from a large list of Wi-Fi networks or
      Bluetooth devices becomes less fiddly
    - Fix keypad layouts in RTL languages
  * Drop media-player-Use-G_GINT64_FORMAT-to-print-gint64.patch.
    Applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Thu, 15 Aug 2024 15:08:26 +0200

phosh (0.41.0~rc1-1) unstable; urgency=medium

  * New upstream release
    - media-player: Add track position, length and progress bar
    - Add (optional) Wi-Fi Hotspot Quick Setting
    - Add Bluetooth Quick Setting status page allowing to
      connect/disconnect known devices
    - Allow to (optionally put the phone in silent mode when pressing Vol- on
      incoming calls)
    - Give Quick Setting status pages (and their individual rows) more
      vertical space so selecting from a large list of Wi-Fi networks or
      Bluetooth devices becomes less fiddly
    - Fix keypad layouts in RTL languages
  * Drop prompt-Only-show-when-we-got-a-request.patch.
    Fixed upstream
  * Rediff patches
  * Depend in libgnome-bluetooth-3.0-dev

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Aug 2024 19:37:29 +0200

phosh (0.40.0-3) unstable; urgency=medium

  * prompt: Only show when we got a request
    Fixes an unclosable empty prompt when adding the first key
    after commit.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 23 Jul 2024 10:58:41 +0200

phosh (0.40.0-2) unstable; urgency=medium

  * Restore "tests: Skip symbol check on some architectures"
    Dropped to eagerly for 0.40

 -- Guido Günther <agx@sigxcpu.org>  Tue, 09 Jul 2024 07:14:13 +0200

phosh (0.40.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 30 Jun 2024 09:43:47 +0200

phosh (0.40.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Drop patches. Applied upstream
  * d/rules: Drop -Dsystemd.
    This is now the only mode of operation

 -- Guido Günther <agx@sigxcpu.org>  Tue, 25 Jun 2024 20:03:22 +0200

phosh (0.39.0-2) unstable; urgency=medium

  * Team upload.
  * Backport some upstream fixes.
    Fixes a background load crash and folder icons being too large.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 11 Jun 2024 10:57:00 +0200

phosh (0.39.0-1) unstable; urgency=medium

  * New upstream release
  * Drop layout-manager patches applied upstream
  * d/control: Use shared gmobile

 -- Guido Günther <agx@sigxcpu.org>  Wed, 15 May 2024 16:50:37 +0200

phosh (0.38.0-4) unstable; urgency=medium

  * Backport layout manager fixes
    - layout-manager-Return-min-padding-in-non-device-mode.patch
    - layout-manager-Use-min-padding-with-zero-radius.patch
    This unbreaks the top bar alignment on e.g. the Librem 5

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 May 2024 19:49:46 +0200

phosh (0.38.0-3) unstable; urgency=medium

  * Upload to unstable to fix the FTBFS

 -- Guido Günther <agx@sigxcpu.org>  Mon, 22 Apr 2024 17:05:45 +0200

phosh (0.38.0-2) experimental; urgency=medium

  * tests: Skip symbol check on some architectures
   (Closes: #1068916)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 21 Apr 2024 12:48:09 +0200

phosh (0.38.0-1) experimental; urgency=medium

  * Upload to experimental to stay clear of the 6 ongoing transitions
    phosh is part of.
  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 07 Apr 2024 11:17:45 +0200

phosh (0.37.1-1) unstable; urgency=medium

  * New upstream release. This version doesn't require gnome-session >= 46 but
    can work with e.g. 45 as well.
  * Drop patches. Applied upstream
  * Switched to signed upstream tarballs

 -- Guido Günther <agx@sigxcpu.org>  Mon, 01 Apr 2024 16:41:33 +0200

phosh (0.37.0-2) unstable; urgency=medium

  * Switch to using systemd user units
    gnome-session 46 dropped non systemd support.
    Thanks djhg2000 for tracking this down.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 31 Mar 2024 11:34:35 +0200

phosh (0.37.0-1) unstable; urgency=medium

  * New upstream release
  * Depend on desktop-file-utils.
    Used for desktop file validation
  * rules: Let dh handle nocheck
  * Make sure to not install any gmobile related files

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 Mar 2024 17:50:27 +0100

phosh (0.36.0-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Drop now superfluous sections

 -- Guido Günther <agx@sigxcpu.org>  Sat, 03 Feb 2024 13:15:07 +0100

phosh (0.35.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: b-d on libgirepository1.0-dev

 -- Guido Günther <agx@sigxcpu.org>  Sun, 07 Jan 2024 13:29:31 +0100

phosh (0.34.1-1) unstable; urgency=medium

  * New upstream bugfix release
  * Drop patches. All applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Wed, 20 Dec 2023 14:22:08 +0100

phosh (0.34.0-2) unstable; urgency=medium

  * osk-manager: Sync initial state.
    Thanks to Jarrah Gosbell for testing (Closes: #1057766)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 Dec 2023 17:20:43 +0100

phosh (0.34.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump phoc dependency.
    We want one that supports ext-idle-notify.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Dec 2023 14:42:15 +0100

phosh (0.33.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 Nov 2023 15:08:41 +0100

phosh (0.32.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 06 Oct 2023 16:19:03 +0200

phosh (0.31.1-1) unstable; urgency=medium

  * The "sad I'm missing Debconf" release
  * New upstream release
  * d/install: Install portal.conf (Closes: #1050917)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Sep 2023 17:52:00 +0200

phosh (0.30.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 03 Aug 2023 15:45:13 +0200

phosh (0.29.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 06 Jul 2023 12:23:59 +0200

phosh (0.28.0-2) unstable; urgency=medium

  * Upload to unstable
  * d/gbp.conf: Switch to debian/latest

 -- Guido Günther <agx@sigxcpu.org>  Tue, 13 Jun 2023 14:52:29 +0200

phosh (0.28.0-1) experimental; urgency=medium

  * New upstream release
  * d/control: Bump phoc dependency.
    We want to use the new protocol features

 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Jun 2023 13:51:10 +0200

phosh (0.27.0-1) experimental; urgency=medium

  * New upstream release
  * d/control: Bump libfeedback build dependency
  * d/salsa-ci.yml: Build against experimental
    We need newer libfeedback-dev

 -- Guido Günther <agx@sigxcpu.org>  Tue, 02 May 2023 13:58:25 +0200

phosh (0.26.0-2) experimental; urgency=medium

  * Team upload
  * d/control: Bump phoc dependency.
    Phosh can work with older phoc but will only bind to the
    newer protocol versions with phoc >= 0.26.0
  * d/control: Make sure plugins match the phosh version

 -- Guido Günther <agx@sigxcpu.org>  Mon, 03 Apr 2023 19:44:14 +0200

phosh (0.26.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Mon, 03 Apr 2023 12:25:54 +0200

phosh (0.25.2-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 12 Mar 2023 12:24:06 +0100

phosh (0.25.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 02 Mar 2023 16:06:43 +0100

phosh (0.25.0-1) experimental; urgency=medium

  * New upstream release
  * Upload to experimental
  * d/control: Depend on phoc 0.25.0
    Ensures consistent power button behavior
  * salsa-ci: Disable some bits until we can rely newer phoc

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Mar 2023 13:55:11 +0100

phosh (0.24.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Build and install manpages
  * Drop lintian override. Phosh has a manpage now
  * d/rules: Avoid building tests with DEB_BUILD_OPTIONS=nocheck.
    We already skip the tests, so no need to build them.
  * Adjust to upstream name change
  * Update test dependencies
  * Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Feb 2023 20:43:09 +0100

phosh (0.23.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop all patches.
    They all were cherry-picks and are contained in the new upstream
    version.
  * d/control: Allow phosh-osk-stub to fulfill the OSK dependency
    squeekboard is default but this allows systems that lack recent
    rust to still pull in a working OSK.
  * Switch to gi-docgen
  * Build and install preference plugins

 -- Guido Günther <agx@sigxcpu.org>  Wed, 28 Dec 2022 13:42:09 +0100

phosh (0.22.0-2) experimental; urgency=medium

  * Upload to experimental
  * Add a phosh-dev package with headers and pkgconfig.
    This can be used by phosh-mobile-settings and out-of-tree plugins.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 18 Dec 2022 20:15:24 +0100

phosh (0.22.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/control: Update build-dependencies
  * debian: Use relative paths for install files.
    Just for consistency
  * Pick up schemas for plugins as well.
    For that we have to be more strict when picking
    up phosh's schema.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 07 Nov 2022 17:29:37 +0100

phosh (0.21.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop all patches
  * Bump standards version.
    No changes needed.
  * d/phosh.lintian-overrides: Adjust format.
    Add the binary package to match lintian's expectations

 -- Guido Günther <agx@sigxcpu.org>  Wed, 28 Sep 2022 13:39:30 +0200

phosh (0.21.0-2) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * Recommend phosh-plugins
  * d/patches: Don't use deprecated G_REGEX_JAVASCRIPT_COMPAT

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 23 Sep 2022 10:31:19 +0200

phosh (0.21.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Install upcoming events plugin
  * d/control: Recommend slurp for better screenshot support

 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Sep 2022 11:52:48 +0200

phosh (0.20.0-2) unstable; urgency=medium

  * Team upload.
  [ Guido Günther ]
  * d/control: Raise phoc dependency.
    We want the renamed 0.21.0+ds1 tarball as the 0.21.0 one lacks the
    rotation fixes.
  * Add package for phosh plugins.
    It will only contain a single plugin for now but
    there will be more with upcoming releases.

  [ Evangelos Ribeiro Tzaras ]
  * Mark phosh-doc as Multi-Arch: foreign (was all)
  * Update copyright

 -- Guido Günther <agx@sigxcpu.org>  Tue, 30 Aug 2022 11:30:57 +0200

phosh (0.20.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Mon, 08 Aug 2022 16:14:17 +0200

phosh (0.20.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
  * Upload to experimental
  * Bump phoc runtime dependency to 0.21.0

 -- Guido Günther <agx@sigxcpu.org>  Mon, 08 Aug 2022 12:52:59 +0200

phosh (0.20.0~beta3-1) experimental; urgency=medium

  * Team upload.
  * Upload to experimental
  * New upstream release
  * Install icon
  * Handle modules.
    Make sure gio-querymodules knows about possible modules.
  * Don't install example plugin.
    It's not very useful and would trigger new processing

 -- Guido Günther <agx@sigxcpu.org>  Sat, 30 Jul 2022 16:27:28 +0200

phosh (0.20.0~beta2-1) experimental; urgency=medium

  * Team upload.
  * Upload to experimental
  * New upstream release
  * d/control: Bump phoc runtime dependency.
    This makes sure the top-bar switching layers works.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 Jun 2022 11:30:44 +0200

phosh (0.20.0~beta1-1) experimental; urgency=medium

  * Team upload.
  * Upload to experimental
  * New upstream release
  * d/control: Bump phoc dependency.
    We need at least 0.20.0 for the gesture support.
  * Update watch and gbp.conf to handle beta versions

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Jun 2022 12:44:20 +0200

phosh (0.17.0-2) unstable; urgency=medium

  * d/patches: Drop all patches.
    We can use the new DBus name now that g-c-c 42 is in unstable.
    This reverts commit b5e2f983df5113e4836943405c13b843939c1394.
  * d/control: Add breaks on older g-c-c.
    Version 42 changes DBus name so we want to make sure we're being
    used with at least this version.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 22 Apr 2022 20:50:17 +0200

phosh (0.17.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * New upstream release
  * Revert "quick-settings: Follow g-c-c to Settings rename"
    Can be / needs to be dropped once GNOME Settings 42 enters unstable.
  * d/control: Bump glib build dependency to 2.72.0.  This makes sure we also
    get a recent enough dependency for splash to work in most situations (to
    make it fully work we either need to patch wlroots or update phoc to use
    wlroots 0.15.0).

 -- Guido Günther <agx@sigxcpu.org>  Fri, 25 Mar 2022 11:13:15 +0100

phosh (0.16.0-1) experimental; urgency=medium

  * New upstream release 0.16.0
  * Drop phosh-osk-stub.
    It's not shipped with the phosh sources anymore.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 25 Feb 2022 14:09:10 +0100

phosh (0.15.0-1) experimental; urgency=medium

  * New upstream release 0.15.0
  * d/rules: Enable osk-stub.
    It's useful for debugging and used as a stub on platforms
    with Rust issues.
  * d/not-installed: Drop, now handled via meson option.
    This makes us fail properly if we install libcall-ui
    translations by accident.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 25 Jan 2022 15:18:23 +0100

phosh (0.14.1-2) experimental; urgency=medium

  * d/phosh.install: Avoid file conflict with calls.
    Both embed libcall-ui but only one should ship the localization files.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 06 Dec 2021 14:47:08 +0100

phosh (0.14.1-1) experimental; urgency=medium

  [ Guido Günther ]
  * Bring over HdyKeypad from libhandy 1.2.2.
  * debian: Don't install libcallui translations.
  * d/copyright: Flip sections.

  [ Arnaud Ferraris ]
  * New usptream version 0.14.1

 -- Arnaud Ferraris <arnaud.ferraris@collabora.com>  Mon, 06 Dec 2021 12:33:05 +0100

phosh (0.14.0-1) experimental; urgency=medium

  * Upload to experimental until the wlroots/phoc dust has settled
  * d/control: Depend on phoc >= 0.9.0.
    This one supports '-S' to wait for the shell.
  * d/rules: Use meson to run the tests.
    Also ignore the manual tests.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 28 Oct 2021 14:45:20 +0200

phosh (0.13.1-1) unstable; urgency=medium

  * New usptream version 0.13.1
  * Upload to unstable
  * Add Breaks: on older GTK.  With older GTK calls and phosh would block on
    each other on startup.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Aug 2021 14:52:10 +0200

phosh (0.13.0-1) UNRELEASED; urgency=medium

  [ Guido Günther ]
  * debian: Add breaks relationship on older calls.
    This makes sure calls we don't try to run against a calls without
    the DBus interface.
  * d/control: Bump phoc recommends.
    Recommend a version that allows us to bind all the interesting
    keys.
  * d/control: Bump breaks on gnome-calls.
    Not strictly necessary but makes missing deps easier to detect.

  [ Arnaud Ferraris ]
  * New upstream version 0.13.0
  * d/control: add build dependency on libgudev.
    This is required by the new torch manager implementation.
  * d/control: drop duplicate Homepage field
  * d/control: drop Build-Depends on linux-libc-dev.
    This is a downstream change, causing the arm64 build to fail on Debian
    as our most recent kernel is 5.10.x.
  * d/watch: update to reflect migration to GNOME infrastructure

 -- Arnaud Ferraris <arnaud.ferraris@collabora.com>  Tue, 10 Aug 2021 11:17:12 +0200

phosh (0.12.0-1) experimental; urgency=medium

  * New usptream version 0.12.0
  * d/control: Bump phoc version.
    Recommend a version that has allows to bind all the needed keys.
  * d/control: Add breaks on older calls.
    We want a version that has the DBus interface

 -- Guido Günther <agx@sigxcpu.org>  Wed, 30 Jun 2021 11:52:38 +0200

phosh (0.11.0-1) experimental; urgency=medium

  * New upstream version 0.11.0
  * Use non-systemd mode for now.
    Stick with gnome-session's builtin session management for the moment.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 31 May 2021 10:59:33 +0200

phosh (0.10.2-1) experimental; urgency=medium

  * New upstream version 0.10.2

 -- Guido Günther <agx@sigxcpu.org>  Thu, 29 Apr 2021 15:32:47 +0200

phosh (0.10.1-1) experimental; urgency=medium

  * New upstream version 0.10.1

 -- Guido Günther <agx@sigxcpu.org>  Mon, 12 Apr 2021 11:17:01 +0200

phosh (0.10.0-1) experimental; urgency=medium

  * New upstream version 0.10.0

 -- Guido Günther <agx@sigxcpu.org>  Wed, 31 Mar 2021 17:00:22 +0200

phosh (0.9.0-1) experimental; urgency=medium

  * New upstream version 0.9.0
  * d/control: Require libhandy >= 1.1.90
  * Clean d/phosh.service
  * salsa-ci: Build against experimental.
    We need that for newer libhandy

 -- Guido Günther <agx@sigxcpu.org>  Wed, 03 Mar 2021 09:53:01 +0100

phosh (0.8.1-1) experimental; urgency=medium

  * New upstream version 0.8.1

 -- Guido Günther <agx@sigxcpu.org>  Fri, 12 Feb 2021 17:42:03 +0100

phosh (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
  * d/gbp.conf: Include submodule automatically.
    This makes `gbp export-orig` work out of the box when creating the
    upstream tarball since it includes the gvc submodule.
  * Build-depend libsystemd-dev.
    Needed for logind support
  * debian: Pick phosh.service from data/ for less downstream changes
  * debian: Pick schema overrides from data/ for less downstream changes

 -- Guido Günther <agx@sigxcpu.org>  Tue, 19 Jan 2021 10:34:47 +0100

phosh (0.7.1-1) unstable; urgency=medium

  * New upsetream version 0.7.1
  * Drop patches
    all applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Fri, 18 Dec 2020 17:09:01 +0100

phosh (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 15 Dec 2020 09:56:24 +0100

phosh (0.6.0-1) unstable; urgency=medium

  [ Guido Günther ]
  * d/control: Update package description.
  * debian: Bump libhandy build-dependency to 1.0.2.
    We need the fixes there for the overview.

  [ Arnaud Ferraris ]
  * New upstream version 0.6.0
  * d/control: fix typos in descriptions

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Mon, 16 Nov 2020 10:52:55 +0100

phosh (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 05 Nov 2020 14:47:48 +0100

phosh (0.5.0-2) unstable; urgency=medium

  * debian: Depend on gnome-shell-common.  We use that schema for the
    keybindings. (Closes: #973350)
  * schema override: Drop button-layout. Phosh toggles this automatically now.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 29 Oct 2020 11:11:38 +0100

phosh (0.5.0-1) unstable; urgency=medium

  [ Guido Günther ]
  * debian: Support nodoc build profile.
  * d/control: Depend on phoc that doesn't crash when unbinding keyboard grabs.

  [ Arnaud Ferraris ]
  * New upstream version 0.5.0

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 28 Oct 2020 11:34:57 +0100

phosh (0.4.5-2) unstable; urgency=medium

  * phosh-tweaks: Enable screen keyboard by default.
    This is needed by squeekboard 1.10.0.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 23 Oct 2020 16:21:50 +0200

phosh (0.4.5-1) unstable; urgency=medium

  [ Guido Günther ]
  * d/phosh.service: Set XDG_CURRENT_DESKTOP.
    Do it here until we run a display manager.
  * d/control: Add doc packages.
    Needed to get the cross references right

  [ Arnaud Ferraris ]
  * New upstream version 0.4.5

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Sun, 11 Oct 2020 19:01:55 +0200

phosh (0.4.4-1) unstable; urgency=medium

   [ Guido Günther ]
  * d/rules: Work around failed doc build on install.
    This works around a problem where an invocation
    of `meson-install` does not generate all docs. See
    https://github.com/mesonbuild/meson/issues/2831
  * debian: Build-depend on pandoc for the deb build.
  * debian: Install all phosh related schema files.
    Otherwise we lack the enums and fail to start
  * d/control: Bump libhandy dependency to 1.0.

  [ Arnaud Ferraris ]
  * New upstream release 0.4.4
  * d/patches: remove upstreamed patch
  * d/control: add ${misc:Depends} to phosh-mobile-tweaks
    Fixes: lintian: debhelper-but-no-misc-depends

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Mon, 21 Sep 2020 10:35:30 +0200

phosh (0.4.3-3) unstable; urgency=medium

  * salsa-ci: Fetch submodule.
    This makes sure we have gvc available
  * d/copyright: Drop duplicate match
    src/gtk-list-models/gtksortlistmodel.* is correctly covered
    by the entry above.
  * d/changelog: Fix src/gtk-list-models/gtkrbtree.* license.
    The files are LGPL2+ according to their file header.
  * d/gbp.conf: Drop 'v' from Debian version number.
    Debian version numbers usually use the plain
    `debian/<number>-<revision>'.
  * Add mobile tweaks.
    This adds GSettings overrides to properly configure phosh
    and applications in adaptive environments.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 30 Aug 2020 09:15:23 +0200

phosh (0.4.3-2) unstable; urgency=medium

  * Recommend components to run the phosh session.
    Thanks to Bernhard Übelacker (Closes: #968106)
  * d/control: Split gnome-session dependency.
    Directly depend on gnome-session-common and gnome-session-bin so we
    don't add a hard-dependency on gnome-shell and don't pull in GNOMEs
    X11 and Wayland sessions by default.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 17 Aug 2020 09:29:30 +0200

phosh (0.4.3-1) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * New upstream release 0.4.3
  * d/patches: fix build on 32-bit platforms

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 04 Aug 2020 17:06:48 +0200

phosh (0.4.2-1) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * d/control: drop Recommends: phoc
    Phoc is now a dependency, it shouldn't appear in the `Recommends:`
    section anymore
  * New upstream version 0.4.2
  * Revert "d/control: drop all references to phoc"
    As phoc v0.4.1 is now in unstable, we can safely depend on it.

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Sun, 26 Jul 2020 14:32:28 +0200

phosh (0.4.1-1) unstable; urgency=medium

  [ Guido Günther ]
  * debian: Avoid clashes with other xvfb-run instances.
    Pass '-a' to make it pick a port by itself.
  * debian: Build-depend on phoc an gnome-themes-extra-data.
    Phoc is needed for the layer surface tests and gtk complains about lack
    of css without gnome-themes-extra-data.
  * d/rules: Depend on phoc >= 0.4.0.
    While we can run with older versions this makes sure people
    pull in a recent enough version for all the feaures.
  * d/rules: Turn off compositor based tests.
    They don't run on buster and we need phoc releases
    for newer versions so we can toggle this on later.

  [ Arnaud Ferraris ]
  * New upstream release 0.4.1
  * d/copyright: add entries for libgnome-volume-control.
    As we provide libgnome-volume-control's source code as a checked out
    subproject, we must provide copyright information for its files too.
  * d/control: drop all references to phoc
    Phoc is not yet in Debian's main archive, so we can't depend on or
    recommend it.
    This will be reverted when phoc gets accepted to unstable.

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 22 Jul 2020 11:28:59 +0200

phosh (0.3.1-2) unstable; urgency=medium

  * debian: build phosh-doc package

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 01 Jul 2020 12:37:12 +0200

phosh (0.3.1-1) unstable; urgency=medium

  [ Federico Ceratto ]
  * Trim trailing whitespace.
    Fixes: lintian: file-contains-trailing-whitespace
  * Set upstream metadata fields: Repository.
    Fixes: lintian: upstream-metadata-file-is-missing
    Fixes: lintian: upstream-metadata-missing-repository
  * Bump debhelper compat version
  * Add Rules-Requires-Root: no

  [ Guido Günther ]
  * debian: Add phoc-doc
    This makes the documentation usable via devhelp.

  [ Arnaud Ferraris ]
  * debian: add salsa-ci
  * d/patches: drop upstreamed 0001-src-fix-typos.patch
  * d/control: Switch maintainer to team address
  * debian: don't build phosh-doc for now
  * d/upstream: add missing metadata fields
    Fixes: lintian: upstream-metadata-missing-bug-tracking

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 24 Jun 2020 11:52:02 +0200

phosh (0.2.2-1) unstable; urgency=medium

  * Initial Debian release (Closes: #907641)

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 15 Apr 2020 18:50:53 +0200
